/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/sgx/video/videostream.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/video/video.hpp"

// Generic parameters
CVideo::CMovieParameters::CMovieParameters(const tBOOL loopFlag) :
	bBilearFiltering(FALSE),
	bLooping(loopFlag),
	fInitialVolume(1.0f),
	bUseImageData(FALSE)
{
}

// The null driver class
tBOOL 
CVideo::create(const sgxString &filename, const CMovieParameters &params)
{
	SGX_UNUSED(filename);
	SGX_UNUSED(params);

	m_fTimecum= 0;
	m_bPaused= FALSE;
	return FALSE;
}

CVideo::~CVideo() {
}

tBOOL  
CVideo::play()
{
	return FALSE;
}

void   
CVideo::pause()
{
	m_bPaused = TRUE;
}

void   
CVideo::unpause()
{
	m_bPaused = FALSE;
}

tBOOL  
CVideo::isPlaying()
{
	return FALSE;
}

tBOOL  
CVideo::isPaused()
{
	return m_bPaused;
}

void   
CVideo::rewind()
{
	seek(0);
}

void   
CVideo::seek(const tREAL32 time)
{
	m_fTimecum = time;
}

void   
CVideo::update(const tREAL32 telaps)
{
	m_fTimecum += telaps;
}

void   
CVideo::buildImage(CImageData &data)
{
SGX_UNUSED(data);
}

void   
CVideo::draw() const
{
}

void   
CVideo::draw(const tINT32 x, const tINT32 y) const
{
SGX_UNUSED(x);
SGX_UNUSED(y);
}
